Bug 210517 - devel/py-twisted: Update to 16.5.0
Summary: devel/py-twisted: Update to 16.5.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords: patch-ready
Depends on: 214446 214447
Blocks:
  Show dependency treegraph
 
Reported: 2016-06-24 09:17 UTC by Yuri Victorovich
Modified: 2016-11-14 13:52 UTC (History)
1 user (show)

See Also:
koobs: maintainer-feedback+


Attachments
patch (21.15 KB, patch)
2016-06-24 09:17 UTC, Yuri Victorovich
no flags Details | Diff
patch (1.23 KB, patch)
2016-11-12 15:52 UTC, Yuri Victorovich
no flags Details | Diff
patch (1.23 KB, patch)
2016-11-12 19:08 UTC, Yuri Victorovich
no flags Details | Diff
patch (1.47 KB, patch)
2016-11-12 19:09 UTC, Yuri Victorovich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2016-06-24 09:17:04 UTC
Created attachment 171740 [details]
patch
Comment 2 Kurt Jaeger freebsd_committer 2016-06-26 14:38:38 UTC
Testbuilds are fine.

Depend ports need to be checked:

devel/py-twistedFlow
devel/py-twistedCore
devel/buildbot
devel/py-twisted
devel/py-twistedRunner
devel/py-twisted152
devel/buildbot-slave
finance/py-python-obelisk
finance/bitcoin-armory
net/py-matrix-synapse
www/py-autobahn
www/py-txrequests
Comment 3 Kurt Jaeger freebsd_committer 2016-08-20 19:36:31 UTC
16.3.2 is out.
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2016-11-12 10:25:38 UTC
Port is 16.4.1, latest release is 16.5.0, with 16.6.0rc1 on PyPI currently.

Require a patch updating to 16.5.0 to progress.
Comment 5 Yuri Victorovich freebsd_committer 2016-11-12 15:52:54 UTC
Created attachment 176924 [details]
patch

Update to 16.5.0, passes poudriere.
Comment 6 Yuri Victorovich freebsd_committer 2016-11-12 19:08:42 UTC
Created attachment 176935 [details]
patch
Comment 7 Yuri Victorovich freebsd_committer 2016-11-12 19:09:44 UTC
Created attachment 176936 [details]
patch
Comment 8 Kurt Jaeger freebsd_committer 2016-11-12 21:11:10 UTC
testbuilds are fine.
Comment 9 Kurt Jaeger freebsd_committer 2016-11-13 10:20:44 UTC
Depend ports all build fine.
Comment 10 Kurt Jaeger freebsd_committer 2016-11-13 10:44:21 UTC
Committed, thanks!
Comment 11 commit-hook freebsd_committer 2016-11-13 10:45:10 UTC
A commit references this bug:

Author: pi
Date: Sun Nov 13 10:44:13 UTC 2016
New revision: 426029
URL: https://svnweb.freebsd.org/changeset/ports/426029

Log:
  devel/py-twisted: update 16.4.1 -> 16.5.0

  PR:		210517
  Changes:	https://github.com/twisted/twisted/blob/twisted-16.5.0/NEWS
  Submitted by:	Yuri Victorovich <yuri@rawbw.com>

Changes:
  head/devel/py-twisted/Makefile
  head/devel/py-twisted/distinfo
Comment 12 Kubilay Kocak freebsd_committer freebsd_triage 2016-11-14 13:52:34 UTC
For future reference, any twisted API incompatible changes introduced by newer versions are unlikely to show up as build/packaging failures, particularly if those dependents have patched setup.py files to remove <= in *_requires lines, which many do. 

This is a good reason by itself not to do so unless one has explicitly run time/qa/testsuite tested the dependent for correct function.